Name:           perl-PDF-API2
Version:        2.016
Release:        1%{?dist}
Summary:        Perl module for creation and modification of PDF files

Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://search.cpan.org/dist/PDF-API2/ 
Source0:        http://search.cpan.org/CPAN/authors/id/S/SS/SSIMMS/PDF-API2-%{version}.tar.gz 
Patch1:         font-location.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker), perl(Test::More)
BuildRequires:  perl(Compress::Zlib), perl(XML::Parser::Expat), perl(Font::TTF)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:       dejavu-sans-fonts, dejavu-sans-mono-fonts, dejavu-serif-fonts

%description
A Perl Module Chain to facilitate the Creation and Modification of High-Quality
"Portable Document Format (aka. PDF)" Files.


%prep
%setup -q -n PDF-API2-%{version}

%patch1 -p1 -b .font-location

# remove patch backup file so that it doesn't get installed (bz #427762)
rm -f lib/PDF/API2.pm.orig

# fix interpreter in example files
for file in contrib/pdf-{de,}optimize.pl; do
  sed -i 's/usr\/local/usr/' $file
done

# 027_winfont wants Win32.pm, so remove it
rm -f examples/027_winfont
sed -i '/examples\/027_winfont/d' MANIFEST

# make mode on included examples and contrib 0644 to keep from triggering
# rpmlint warning and additional auto-requires
chmod a-x contrib/* examples/*

# recode Changes as UTF-8
iconv -f iso-8859-1 -t utf-8 < Changes > Changes.utf8
mv -f Changes.utf8 Changes

# Filter unwanted Requires:
%global reqfilt /bin/sh -c "%{__perl_requires} | sed -e '/perl(the)/d'"
%global __perl_requires %{reqfilt}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*

# we will not include the dejavu fonts in this package, we'll just require the
# deja-vu font packages and change the search location (patch0)
rm -rf $RPM_BUILD_ROOT/%{perl_vendorlib}/PDF/API2/fonts


%check
make test


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc Changes CONTACT HACKING LICENSE PATENTS README
%doc contrib examples
%{perl_vendorlib}/PDF/
%{_datadir}/man/man3/*
# files that are not relevent to this OS
%exclude %{perl_vendorlib}/PDF/API2/Win32.pm


%changelog
* Sun Jan 30 2011 Bernard Johnson <bjohnson@symetrix.com> - 2.016-1
- v 2.016 (bz #672666)
- rebased font location patch

* Tue Dec 21 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.73-5
- 661697 rebuild for fixing problems with vendorach/lib

* Tue May 04 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.73-4
- Mass rebuild with perl-5.12.0

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 0.73-3
- rebuild against perl 5.10.1

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.73-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Jun 05 2009 Bernard Johnson <bjohnson@symetrix.com> - 0.73-1
- v 0.73-1

* Wed Feb 25 2009 Paul Howarth <paul@city-fan.org> - 0.72.003-2
- fix dejavu-* dependencies again
- recode TODO as UTF-8
- simplify perl requires filter

* Mon Dec 01 2008 Bernard Johnson <bjohnson@symetrix.com> - 0.72.003-1
- v 0.72.003

* Sat Nov 29 2008 Bernard Johnson <bjohnson@symetrix.com> - 0.72-2
- [Bug 473556] Fix dejavu-* dependencies

* Wed Nov 12 2008 Bernard Johnson <bjohnson@symetrix.com> - 0.72-1
- v 0.72

* Sun Oct 19 2008 Bernard Johnson <bjohnson@symetrix.com> - 0.71.001-2
- bump for cvs tag

* Sun Oct 19 2008 Bernard Johnson <bjohnson@symetrix.com> - 0.71.001-1
- v 0.71.001

* Tue Sep 30 2008 Bernard Johnson <bjohnson@symetrix.com> - 0.69-6
- fix patch fuzz
- change patch numbering

* Thu May 22 2008 Bernard Johnson <bjohnson@symetrix.com> - 0.69-5
- bump rel for new sources in F-7

* Thu May 22 2008 Bernard Johnson <bjohnson@symetrix.com> - 0.69-4
- fix dejavu font path (bz #447505)

* Thu Mar 06 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.69-3
Rebuild for new perl

* Mon Jan 21 2008 Bernard Johnson <bjohnson@symetrix.com> - 0.69-2
- patch .orig files packaged (bz #427762)

* Fri Jan 18 2008 Bernard Johnson <bjohnson@symetrix.com> - 0.69-1
- 0.69

* Mon Nov 12 2007 Bernard Johnson <bjohnson@symetrix.com> - 0.66-1
- 0.66

* Sun Oct 28 2007 Bernard Johnson <bjohnson@symetrix.com> - 0.65-1
- 0.65

* Sun Aug 19 2007 Bernard Johnson <bjohnson@symetrix.com> - 0.62-2
- update license tag to LGPLv2+
- remove CHANGELOG references

* Sun Aug 19 2007 Bernard Johnson <bjohnson@symetrix.com> - 0.62-1
- 0.62

* Thu May 03 2007 Bernard Johnson <bjohnson@symetrix.com> - 0.60-3
- update MANIFEST to remove 027_winfont that gets removed
- add missing BR perl(Test::More) and perl(XML::Parser::Expat)

* Sun Apr 29 2007 Bernard Johnson <bjohnson@symetrix.com> - 0.60-2
- remove fonts and depend on dejavu-fonts and dejavu-fonts-experimental
- change font search path
- remove font docs

* Sat Apr 28 2007 Bernard Johnson <bjohnson@symetrix.com> - 0.60-1
- v 0.60
- deliberately remove 027_winfont example as it wants Win32.pm
- BR on perl(Ext::MakeMaker) rather than perl

* Fri Apr 06 2007 Bernard Johnson <bjohnson@symetrix.com> - 0.59.002-2
- moving resource to docs was a mistake, fix it

* Thu Apr 05 2007 Bernard Johnson <bjohnson@symetrix.com> - 0.59.002-1
- initial release
